Skip to main content
This endpoint provides the ability to upload and process a list of email addresses in CSV format. Please note that files uploaded using an evaluation API key are limited to 1,000 records. Note: only old everythinglocation keys will work with this service. Resource URL: https://api.everythinglocation.com/email/batch
Please note that we don’t support API connections using HTTP - all calls should use HTTPS.

Resource Information

  • Preferred method: POST
  • Requires authentication? Yes, valid API key
  • Chargeable? Yes

POST /email/batch

Upload the file containing the email address data and create the batch task ID. Format: Input file must use CSV file extension, although file values may be either comma separated or tab delimited. Headers: A column header is required on the first line. The header for the input email address data must be labelled ‘email’.

Request Parameters

Response Parameters

Example Request

Example Response (JSON)

GET /email/batch

Retrieve a list of all email batch tasks associated to an API key.

Request Parameters

Response Parameters

Example Request

Example Response (JSON)

GET /email/batch/<job_id>

Retrieve detailed information for a single batch task.

Request Parameters

Response Parameters

Example Request

Example Response #1: “status” ≠ “downloaded” (JSON)

Example Response #2: “status” = “downloaded” (JSON)

GET /email/batch/<job_id>?download

Download the completed batch task from the server.

Request Parameters

Request Parameters

The response will return the completed file to the browser or application using CSV file format. The file name will be <job_id>_verified.csv. Users receiving an error should next check the status of the batch task using GET /email/batch/<job_id>.

Example Request